Audio

Ozeye supports audio transcription and text-to-speech for models tagged with the correct modality in the catalog.

Transcription: multipart upload

curl https://ozeye.ai/v1/audio/transcriptions \
  -H "Authorization: Bearer $OZEYE_API_KEY" \
  -F model="whisper-large-v3" \
  -F file=@meeting.mp3

Transcription: JSON/base64

AUDIO_BASE64=$(base64 < meeting.wav | tr -d '\n')
curl https://ozeye.ai/v1/audio/transcriptions \
  -H "Authorization: Bearer $OZEYE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "whisper-large-v3",
    "input_audio": {"data": "'"$AUDIO_BASE64"'", "format": "wav"}
  }'

Speech synthesis

curl https://ozeye.ai/v1/audio/speech \
  -H "Authorization: Bearer $OZEYE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "voxtral-mini-tts-latest",
    "input": "Hello from ozeye"
  }' \
  --output speech.mp3

Limits and billing

  • Audio transcription accepts multipart uploads and JSON/base64 audio.
  • Decoded audio limit is 25 MB.
  • Transcription cost is based on audio duration when available; otherwise ozeye estimates from input size.
  • Speech cost is based on input text length for TTS-priced models.